[OSCILATOR]
size=10
lastok=5
[OSCILATOR0]
osc=40000000
div=6
fdiv=38
[OSCILATOR1]
osc=20000000
div=12
fdiv=19
[OSCILATOR2]
osc=16000000
div=15
fdiv=15
[OSCILATOR3]
osc=12000000
div=20
fdiv=11
[OSCILATOR4]
osc=11059200
div=22
fdiv=11
[OSCILATOR5]
osc=8000000
div=30
fdiv=7
[OSCILATOR6]
osc=4000000
div=60
fdiv=3
[OSCILATOR7]
osc=2000000
div=120
fdiv=1
[OSCILATOR8]
osc=1000000
div=240
fdiv=1
[OSCILATOR9]
osc=6000000
div=40
fdiv=6

//=======================================

[PartID_XD]
size=12
//------------------
[PartID_XD0]
id=$c410
mask=0L15Y
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD1]
id=$c411
mask=1L15Y
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD2]
id=$c000
mask=0M84E
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD3]
id=$c001
mask=1M84E
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD4]
id=$c100
mask=0M42E
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD5]
id=$c101
mask=0M42E
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD6]
id=$c102
mask=0M42E
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD7]
id=$e400
mask=0M80F
name=MC9S12XHZ family
brand=Freescale
//------------------
[PartID_XD8]
id=$e401
mask=1M80F
name=MC9S12XHZ family
brand=Freescale
//------------------
[PartID_XD9]
id=$a7a7c411
mask=1L15Y
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD10]
id=$c412
mask=0M23S
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD11]
id=$e010
mask=0M23Y
name=MC9S12XHY family
brand=Freescale
//=======================================

[PartID]
size=34

lastok=0
[PartID0]
id=$0111
name=MC9S12DT128
brand=Freescale
mask=1L40K
device=0

[PartID1]
id=$0113
name=MC9S12DT128
brand=Freescale
mask=3L40K
device=0

[PartID2]
id=$0114
name=MC9S12DT128
brand=Freescale
mask=4L40K
device=0

[PartID3]
id=$0110
name=MC9S12DT128
brand=Freescale
mask=0L94R
device=0

[PartID4]
id=$0115
name=MC9S12DT128
brand=Freescale
mask=1L59W,5L40K
device=0

[PartID5]
id=$0600
name=MC9S12DG128
brand=Freescale
mask=0L58S
device=0

[PartID6]
id=$0100
name=MC9S12DB128B
brand=Freescale
mask=0L85D
device=0

[PartID7]
id=$0200
name=MC9S12DJ64
brand=Freescale
mask=0L86D
device=1

[PartID8]
id=$0201
name=MC9S12D64
brand=Freescale
mask=1L86D,2L86D
device=1

[PartID9]
id=$0203
name=MC9S12DJ64
brand=Freescale
mask=3L86D
device=1

[PartID10]
id=$0204
name=MC9S12DJ64
brand=Freescale
mask=4L86D,0M89C
device=1

[PartID11]
id=$0011
name=MC9S12DP256
brand=Freescale
mask=1K79X
device=2

[PartID12]
id=$0010
name=MC9S12DP256
brand=Freescale
mask=0K79X
device=2

[PartID13]
id=$0012
name=MC9S12DP256
brand=Freescale
mask=2K79X
device=2

[PartID14]
id=$0101
name=MC9S12DT128
brand=Freescale
mask=1L85D
device=0

[PartID15]
id=$0033
name=MC9S12DT256
brand=Freescale
mask=0L01Y
device=2

[PartID16]
id=$1001
name=MC9S12H256
brand=Freescale
mask=1K78X
device=2

[PartID17]
id=$2100
name=MC9S12B128
brand=Freescale
mask=0L80R
device=0

[PartID18]
id=$2101
name=MC9S12B128
brand=Freescale
mask=1L80R
device=0

[PartID19]
id=$2102
name=MC9S12B128
brand=Freescale
mask=2L80R
device=0

[PartID20]
id=$2103
name=MC9S12B128
brand=Freescale
mask=3L80R
device=0

[PartID21]
id=$1002
name=MC9S12H256
brand=Freescale
mask=2K78X
device=2

[PartID22]
id=$0400
name=MC9S12DP512
brand=Freescale
mask=0L00M
device=7

[PartID23]
id=$0401
name=MC9S12DP512
brand=Freescale
mask=1L00M
device=7

[PartID24]
id=$0402
name=MC9S12DP512
brand=Freescale
mask=2L00M
device=7

[PartID25]
id=$0403
name=MC9S12DP512
brand=Freescale
mask=3L00M
device=7

[PartID26]
id=$0404
name=MC9S12DP512
brand=Freescale
mask=4L00M
device=7

[PartID27]
id=$1402
name=MC9S12HZ128
brand=Freescale
mask=2L16Y
device=0

[PartID28]
id=$1403
name=MC9S12HZ128
brand=Freescale
mask=3L16Y
device=0

[PartID29]
id=$0032
name=MC9S12DT256
brand=Freescale
mask=3L91N
device=2

[PartID30]
id=$0034
name=MC9S12DT256
brand=Freescale
mask=4L91N
device=2

[PartID31]
id=$4220
name=MC9S12T64
brand=Freescale
mask=L42M
device=1

[PartID32]
id=$7002
name=MC9S12KG256
brand=Freescale
mask=2L33V
device=2

[PartID33]
id=$2105
name=MC9S12B128
brand=Freescale
mask=0M65G
device=0

[DEVICE]
size=9
lastok=0

[DEVICE0]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=MC9S12DB128
type=FLASH
etype=EEPROM
start=$0
size=$20000
esize=$800
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hcs12rfl.boo
raid=$5a01
wrfile=hcs12wfl.boo
waid=$a501
erdfile=hcs12ree.boo
eraid=$5a02
ewrfile=hcs12wee.boo
ewaid=$a502
clkeeprom=1
eclkdiv=$110
clkflash=1
fclkdiv=$100
pages=$02
startpage=$38
idexist=1
rgsize=3
rg0=$10 $21
rg1=$12 $41
rg2=$114 $88

[DEVICE1]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=MC9S12Dx64
type=FLASH
etype=EEPROM
start=$0
size=$10000
esize=$400
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hcs12rfl.boo
raid=$5a01
wrfile=hcs12wfl.boo
waid=$a501
erdfile=hcs12ree.boo
eraid=$5a02
ewrfile=hcs12wee.boo
ewaid=$a502
clkeeprom=1
eclkdiv=$110
clkflash=1
fclkdiv=$100
pages=$01
startpage=$3c
idexist=1
rgsize=3
rg0=$10 $21
rg1=$12 $41
rg2=$114 $88

[DEVICE2]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=MC9S12DB256
type=FLASH
etype=EEPROM
start=$0
size=$40000
esize=$1000
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hcs12rfl.boo
raid=$5a01
wrfile=hcs12wfl.boo
waid=$a501
erdfile=hcs12ree.boo
eraid=$5a02
ewrfile=hcs12wee.boo
ewaid=$a502
clkeeprom=1
eclkdiv=$110
clkflash=1
fclkdiv=$100
pages=$04
startpage=$30
idexist=1
rgsize=3
rg0=$10 $21
rg1=$12 $41
rg2=$114 $88

[DEVICE3]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=HC912Dx128
type=FLASH
etype=EEPROM
start=$0
size=$20000
esize=$0800
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hc912rfl.boo
raid=$5a03
wrfile=hc912wfl.boo
waid=$a503
erdfile=hc912ree.boo
eraid=$5a04
ewrfile=hc912wee.boo
ewaid=$a504
clkeeprom=1
eclkdiv=$ee
clkflash=1
fclkdiv=$ef
pages=$04
startpage=$00
idexist=0
rgsize=2
rg0=$10 $21
rg1=$12 $41

[DEVICE4]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=HC912DB32
type=FLASH
etype=EEPROM
start=$0
size=$08000
esize=$0300
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hc912BD32rfl.boo
raid=$5a05
wrfile=hc912BD32wfl.boo
waid=$a505
erfile=hc912BD32erfl.boo
eaid=$aa01
erdfile=hc912BD32ree.boo
eraid=$5a06
ewrfile=hc912BD32wee.boo
ewaid=$a506
clkeeprom=1
eclkdiv=$ee
clkflash=1
fclkdiv=$ef
pages=$04
startpage=$00
idexist=0
rgsize=2
rg0=$10 $21
rg1=$12 $41

[DEVICE5]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=HC912D60
type=FLASH
etype=EEPROM
start=$0
size=$0f000
esize=$0400
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hc912D60rfl.boo
raid=$5a07
wrfile=hc912D60wfl.boo
waid=$a507
erfile=hc912D60erfl.boo
eaid=$aa02
erdfile=hc912D60ree.boo
eraid=$5a08
ewrfile=hc912D60wee.boo
ewaid=$a508
clkeeprom=1
eclkdiv=$ee
clkflash=1
fclkdiv=$ef
pages=$04
startpage=$00
idexist=0
rgsize=2
rg0=$10 $21
rg1=$12 $41

[DEVICE6]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=HC912D128
type=FLASH
etype=EEPROM
start=$0
size=$20000
esize=$0800
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hc912rfl.boo
raid=$5a03
wrfile=hc912D128wfl.boo
waid=$a509
erfile=hc912D128erfl.boo
eaid=$aa03
erdfile=hc912ree.boo
eraid=$5a04
ewrfile=hc912wee.boo
ewaid=$a504
clkeeprom=1
eclkdiv=$ee
clkflash=1
fclkdiv=$ef
pages=$04
startpage=$00
idexist=0
rgsize=2
rg0=$10 $21
rg1=$12 $41

[DEVICE7]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=MC9S12DP512
type=FLASH
etype=EEPROM
start=$0
size=$80000
esize=$1000
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hcs12rfl.boo
raid=$5a01
wrfile=hcs12wfl.boo
waid=$a501
erdfile=hcs12ree.boo
eraid=$5a02
ewrfile=hcs12wee.boo
ewaid=$a502
clkeeprom=1
eclkdiv=$110
clkflash=1
fclkdiv=$100
pages=$04
startpage=$20
idexist=1
rgsize=3
rg0=$10 $21
rg1=$12 $41
rg2=$114 $88

[DEVICE8]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=HC912D60
type=FLASH
etype=EEPROM
start=$0
size=$0f000
esize=$0400
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hc912D60rfl.boo
raid=$5a07
wrfile=hc912D60awfl.boo
waid=$a507
erfile=hc912D60erfl.boo
eaid=$aa02
erdfile=hc912D60aree.boo
eraid=$5a08
ewrfile=hc912D60awee.boo
ewaid=$5a0b
clkeeprom=1
eclkdiv=$ee
clkflash=1
fclkdiv=$ef
pages=$04
startpage=$00
idexist=0
rgsize=2
rg0=$10 $21
rg1=$12 $41

//===================================================
[DEVICE_XD]
size=6
lastok=0

//---

[DEVICE_XD0]
etl=0
name=MC9S12XD256
type=EEPROM
start=$0
size=$1000
filesize=$200000
bytes=2
ramstart=$1000
clkdiv=$110
pages=$04
startpage=$fc

//---

[DEVICE_XD1]
etl=1
name=MC9S12XD256
type=FLASH
start=$0
size=$40000
filesize=$200000
bytes=2
ramstart=$1000
clkdiv=$100
pages=16
startpage=$e0
page0=$e0
page1=$e1
page2=$e2
page3=$e3
page4=$e4
page5=$e5
page6=$e6
page7=$e7
page8=$f8
page9=$f9
page10=$fa
page11=$fb
page12=$fc
page13=$fd
page14=$fe
page15=$ff

[DEVICE_XD2]
etl=0
name=MC9S12XDP512
type=EEPROM
start=$0
size=$1000
filesize=$200000
bytes=2
ramstart=$1000
clkdiv=$110
pages=$04
startpage=$fc

//---

[DEVICE_XD3]
etl=1
name=MC9S12XDP512
type=FLASH
start=$0
size=$80000
filesize=$200000
bytes=2
ramstart=$1000
clkdiv=$100
pages=32
startpage=$e0
page0=$e0
page1=$e1
page2=$e2
page3=$e3
page4=$e4
page5=$e5
page6=$e6
page7=$e7
page8=$e8
page9=$e9
page10=$ea
page11=$eb
page12=$ec
page13=$ed
page14=$ee
page15=$ef
page16=$f0
page17=$f1
page18=$f2
page19=$f3
page20=$f4
page21=$f5
page22=$f6
page23=$f7
page24=$f8
page25=$f9
page26=$fa
page27=$fb
page28=$fc
page29=$fd
page30=$fe
page31=$ff

//---

[DEVICE_XD4]
etl=0
name=MC9S12XDT384
type=EEPROM
start=$0
size=$1000
filesize=$200000
bytes=2
ramstart=$1000
clkdiv=$110
pages=$04
startpage=$fc


[DEVICE_XD5]
etl=1
name=MC9S12XDT384
type=FLASH
start=$0
size=$60000
filesize=$200000
bytes=2
ramstart=$1000
clkdiv=$100
pages=24
startpage=$e0
page0=$e0
page1=$e1
page2=$e2
page3=$e3
page4=$e4
page5=$e5
page6=$e6
page7=$e7
page8=$f0
page9=$f1
page10=$f2
page11=$f3
page12=$f4
page13=$f5
page14=$f6
page15=$f7
page16=$f8
page17=$f9
page18=$fa
page19=$fb
page20=$fc
page21=$fd
page22=$fe
page23=$ff

//===================================================
[DEVICES]
size=4
lastok=0

//---

[DEVICE100]
etl=0
brand=Freescale
name=MC9S12XET256
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=4
id0=$0004c081
ids0=2M53J
id1=$ffffc081
ids1=1M53J
id2=$ffffc080
ids2=0M53J
id3=$0000c081
ids3=0M53J
//---parameters
p_count=2
p0=163
p1=166
//---flash blocks
fblocks=2
fblock0=$7e
fblock1=$78
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80


[DEVICE101]
etl=0
brand=Freescale
name=MC9S12XET256
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$40040
filesize=$40040
bytes=2
ramstart=$1000
idsize=4
id0=$0004c081
ids0=2M53J
id1=$ffffc081
ids1=1M53J
id2=$ffffc080
ids2=0M53J
id3=$0000c081
ids3=0M53J
//---parameters
p_count=2
p0=163
p1=166
//---flash blocks
fblocks=2
fblock0=$7e
fblock1=$78
//---flash pages
sectors=17
sector0=$e0
sector1=$e1
sector2=$e2
sector3=$e3
sector4=$e4
sector5=$e5
sector6=$e6
sector7=$e7
sector8=$f8
sector9=$f9
sector10=$fa
sector11=$fb
sector12=$fc
sector13=$fd
sector14=$fe
sector15=$ff
sector16=$00

//---

[DEVICE102]
etl=0
brand=Freescale
name=MC9S12XET256
type=EEPROM
dtype=2
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=4
id0=$0004c081
ids0=2M53J
id1=$ffffc081
ids1=1M53J
id2=$ffffc080
ids2=0M53J
id3=$0000c081
ids3=0M53J
id4=$0004c482
ids4=3M25J
//---parameters
p_count=2
p0=163
p1=166
//---flash blocks
fblocks=2
fblock0=$7e
fblock1=$78
//---flash pages
sectors=4
sector0=$fc
sector1=$fd
sector2=$fe
sector3=$ff

//---

[DEVICE103]
etl=0
brand=Freescale
name=MC9S12XET256
type=D-FLASH+EEPROM
dtype=3
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=4
id0=$0004c081
ids0=2M53J
id1=$ffffc081
ids1=1M53J
id2=$ffffc080
ids2=0M53J
id3=$0000c081
ids3=0M53J
//---parameters
p_count=2
p0=163
p1=166
//---flash blocks
fblocks=2
fblock0=$7e
fblock1=$78
//---flash pages
sectors=37
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80
//---
sector33=$fc
sector34=$fd
sector35=$fe
sector36=$ff

[DEVICE104]
etl=0
brand=Freescale
name=MC9S12XEP100
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$100040
filesize=$100040
bytes=2
ramstart=$1000
idsize=7
id0=$0004cc94
ids0=5M48J
id1=$0000cc94
ids1=5M48J
id2=$ffffcc94
ids2=5M48J
id3=$0005cc94
ids3=5M48J
id4=$0014cc94
ids4=5M48J
id5=$0005cc95
ids5=1N35H
id6=$ffffcc95
ids6=1N35H
//---parameters
p_count=2
p0=136
p1=138
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=65
sector0=$c0
sector1=$c1
sector2=$c2
sector3=$c3
sector4=$c4
sector5=$c5
sector6=$c6
sector7=$c7
sector8=$c8
sector9=$c9
sector10=$ca
sector11=$cb
sector12=$cc
sector13=$cd
sector14=$ce
sector15=$cf
sector16=$d0
sector17=$d1
sector18=$d2
sector19=$d3
sector20=$d4
sector21=$d5
sector22=$d6
sector23=$d7
sector24=$d8
sector25=$d9
sector26=$da
sector27=$db
sector28=$dc
sector29=$dd
sector30=$de
sector31=$df
sector32=$e0
sector33=$e1
sector34=$e2
sector35=$e3
sector36=$e4
sector37=$e5
sector38=$e6
sector39=$e7
sector40=$e8
sector41=$e9
sector42=$ea
sector43=$eb
sector44=$ec
sector45=$ed
sector46=$ee
sector47=$ef
sector48=$f0
sector49=$f1
sector50=$f2
sector51=$f3
sector52=$f4
sector53=$f5
sector54=$f6
sector55=$f7
sector56=$f8
sector57=$f9
sector58=$fa
sector59=$fb
sector60=$fc
sector61=$fd
sector62=$fe
sector63=$ff
sector64=$00

[DEVICE105]
etl=0
brand=Freescale
name=MC9S12XEP100
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=7
id0=$0004cc94
ids0=5M48J
id1=$0000cc94
ids1=5M48J
id2=$ffffcc94
ids2=5M48J
id3=$0005cc94
ids3=5M48J
id4=$0014cc94
ids4=5M48J
id5=$0005cc95
ids5=1N35H
id6=$ffffcc95
ids6=1N35H
//---parameters
p_count=2
p0=136
p1=138
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE106]
etl=0
brand=Freescale
name=MC9S12XEP100
type=EEPROM
dtype=2
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=7
id0=$0004cc94
ids0=5M48J
id1=$0000cc94
ids1=5M48J
id2=$ffffcc94
ids2=5M48J
id3=$0005cc94
ids3=5M48J
id4=$0014cc94
ids4=5M48J
id5=$0005cc95
ids5=1N35H
id6=$ffffcc95
ids6=1N35H
//---parameters
p_count=2
p0=136
p1=138
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=4
sector0=$fc
sector1=$fd
sector2=$fe
sector3=$ff

[DEVICE107]
etl=0
brand=Freescale
name=MC9S12XEP100
type=D-FLASH+EEPROM
dtype=3
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=7
id0=$0004cc94
ids0=5M48J
id1=$0000cc94
ids1=5M48J
id2=$ffffcc94
ids2=5M48J
id3=$0005cc94
ids3=5M48J
id4=$0014cc94
ids4=5M48J
id5=$0005cc95
ids5=1N35H
id6=$ffffcc95
ids6=1N35H
//---parameters
p_count=2
p0=136
p1=138
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=37
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80
//---
sector33=$fc
sector34=$fd
sector35=$fe
sector36=$ff

[DEVICE108]
etl=0
brand=Freescale
name=MC9S12XEQ384
type=EEPROM
dtype=2
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=5
id0=$0004c482
ids0=3M25J
id1=$0000c482
ids1=3M25J
id2=$ffffc482
ids2=2M25J
id3=$0004c483
ids3=1M12S
id4=$0000c483
ids4=1M12S
//---parameters
p_count=2
p0=163
p1=166
//---flash blocks
fblocks=2
fblock0=$7c
fblock1=$78
//---flash pages
sectors=4
sector0=$fc
sector1=$fd
sector2=$fe
sector3=$ff

//---

[DEVICE109]
etl=0
brand=Freescale
name=MC9S12XEQ384
type=D-FLASH+EEPROM
dtype=3
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=5
id0=$0004c482
ids0=3M25J
id1=$0000c482
ids1=3M25J
id2=$ffffc482
ids2=2M25J
id3=$0004c483
ids3=1M12S
id4=$0000c483
ids4=1M12S
//---parameters
p_count=2
p0=163
p1=166
//---flash blocks
fblocks=2
fblock0=$7c
fblock1=$78
//---flash pages
sectors=37
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80
//---
sector33=$fc
sector34=$fd
sector35=$fe
sector36=$ff

[DEVICE110]
etl=0
brand=Freescale
name=MC9S12XEQ384
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=5
id0=$0004c482
ids0=3M25J
id1=$0000c482
ids1=3M25J
id2=$ffffc482
ids2=2M25J
id3=$0004c483
ids3=1M12S
id4=$0000c483
ids4=1M12S
//---parameters
p_count=2
p0=163
p1=166
//---flash blocks
fblocks=2
fblock0=$7c
fblock1=$78
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE111]
etl=0
brand=Freescale
name=MC9S12XEQ384
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$60040
filesize=$60040
bytes=2
ramstart=$1000
idsize=5
id0=$0004c482
ids0=3M25J
id1=$0000c482
ids1=3M25J
id2=$ffffc482
ids2=2M25J
id3=$0004c483
ids3=1M12S
id4=$0000c483
ids4=1M12S
//---parameters
p_count=2
p0=163
p1=166
//---flash blocks
fblocks=2
fblock0=$7c
fblock1=$78
//---flash pages
sectors=25
sector0=$e0
sector1=$e1
sector2=$e2
sector3=$e3
sector4=$e4
sector5=$e5
sector6=$e6
sector7=$e7
sector8=$f0
sector9=$f1
sector10=$f2
sector11=$f3
sector12=$f4
sector13=$f5
sector14=$f6
sector15=$f7
sector16=$f8
sector17=$f9
sector18=$fa
sector19=$fb
sector20=$fc
sector21=$fd
sector22=$fe
sector23=$ff
sector24=$00

//---

[DEVICE112]
etl=0
brand=Freescale
name=MC9S12XE(Q,T)512
type=EEPROM
dtype=2
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=4
id0=$0004c482
ids0=3M25J
id1=$0000c482
ids1=3M25J
id2=$ffffc482
ids2=2M25J
id3=$0004c483
ids3=1M12S
//---parameters
p_count=2
p0=164
p1=165
//---flash blocks
fblocks=2
fblock0=$7c
fblock1=$78
//---flash pages
sectors=4
sector0=$fc
sector1=$fd
sector2=$fe
sector3=$ff

//---

[DEVICE113]
etl=0
brand=Freescale
name=MC9S12XE(Q,T)512
type=D-FLASH+EEPROM
dtype=3
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=4
id0=$0004c482
ids0=3M25J
id1=$0000c482
ids1=3M25J
id2=$ffffc482
ids2=2M25J
id3=$0004c483
ids3=1M12S
//---flash blocks
fblocks=2
fblock0=$7c
fblock1=$78
//---flash pages
sectors=37
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80
//---
sector33=$fc
sector34=$fd
sector35=$fe
sector36=$ff

[DEVICE114]
etl=0
brand=Freescale
name=MC9S12XE(Q,T)512
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=4
id0=$0004c482
ids0=3M25J
id1=$0000c482
ids1=3M25J
id2=$ffffc482
ids2=2M25J
id3=$0004c483
ids3=1M12S
//---parameters
p_count=2
p0=164
p1=165
//---flash blocks
fblocks=2
fblock0=$7c
fblock1=$78
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE115]
etl=0
brand=Freescale
name=MC9S12XE(Q,T)512
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$80040
filesize=$80040
bytes=2
ramstart=$1000
idsize=4
id0=$0004c482
ids0=3M25J
id1=$0000c482
ids1=3M25J
id2=$ffffc482
ids2=2M25J
id3=$0004c483
ids3=1M12S
//---parameters
p_count=2
p0=164
p1=165
//---flash blocks
fblocks=3
fblock0=$7c
fblock1=$7a
fblock2=$78
//---flash pages
sectors=33
sector0=$e0
sector1=$e1
sector2=$e2
sector3=$e3
sector4=$e4
sector5=$e5
sector6=$e6
sector7=$e7
sector8=$e8
sector9=$e9
sector10=$ea
sector11=$eb
sector12=$ec
sector13=$ed
sector14=$ee
sector15=$ef
sector16=$f0
sector17=$f1
sector18=$f2
sector19=$f3
sector20=$f4
sector21=$f5
sector22=$f6
sector23=$f7
sector24=$f8
sector25=$f9
sector26=$fa
sector27=$fb
sector28=$fc
sector29=$fd
sector30=$fe
sector31=$ff
sector32=$00

[DEVICE116]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$100040
filesize=$100040
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$ffffcc94
ids2=5M48J
id3=$0000cc94
ids3=5M48J
id4=$0014cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=2
p0=136
p1=138

//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=65
sector0=$c0
sector1=$c1
sector2=$c2
sector3=$c3
sector4=$c4
sector5=$c5
sector6=$c6
sector7=$c7
sector8=$c8
sector9=$c9
sector10=$ca
sector11=$cb
sector12=$cc
sector13=$cd
sector14=$ce
sector15=$cf
sector16=$d0
sector17=$d1
sector18=$d2
sector19=$d3
sector20=$d4
sector21=$d5
sector22=$d6
sector23=$d7
sector24=$d8
sector25=$d9
sector26=$da
sector27=$db
sector28=$dc
sector29=$dd
sector30=$de
sector31=$df
sector32=$e0
sector33=$e1
sector34=$e2
sector35=$e3
sector36=$e4
sector37=$e5
sector38=$e6
sector39=$e7
sector40=$e8
sector41=$e9
sector42=$ea
sector43=$eb
sector44=$ec
sector45=$ed
sector46=$ee
sector47=$ef
sector48=$f0
sector49=$f1
sector50=$f2
sector51=$f3
sector52=$f4
sector53=$f5
sector54=$f6
sector55=$f7
sector56=$f8
sector57=$f9
sector58=$fa
sector59=$fb
sector60=$fc
sector61=$fd
sector62=$fe
sector63=$ff
sector64=$00

[DEVICE117]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$ffffcc94
ids2=5M48J
id3=$0000cc94
ids3=5M48J
id4=$0014cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=2
p0=136
p1=138
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE118]
etl=0
brand=Freescale
name=ECU XET256
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$40040
filesize=$40040
bytes=2
ramstart=$1000
idsize=3
id0=$0004c081
ids0=2M53J
id1=$0000c081
ids1=2M53J
id2=$ffffc482
ids2=3M25J
//---flash blocks
fblocks=2
fblock0=$7e
fblock1=$78
//---parameters
p_count=2
p0=160
p1=168
//---flash pages
sectors=17
sector0=$e0
sector1=$e1
sector2=$e2
sector3=$e3
sector4=$e4
sector5=$e5
sector6=$e6
sector7=$e7
sector8=$f8
sector9=$f9
sector10=$fa
sector11=$fb
sector12=$fc
sector13=$fd
sector14=$fe
sector15=$ff
sector16=$00

//---
[DEVICE119]
etl=0
brand=Freescale
name=ECU XET256
type=EEPROM
dtype=2
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=2
id0=$0004c081
ids0=2M53J
id1=$0000c081
ids1=2M53J
//---parameters
p_count=2
p0=160
p1=168
//---flash blocks
fblocks=2
fblock0=$7e
fblock1=$78
//---flash pages
sectors=4
sector0=$fc
sector1=$fd
sector2=$fe
sector3=$ff

//---
[DEVICE120]
etl=0
brand=Porsche
name=7PP.907.064
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$80040
filesize=$80040
bytes=2
ramstart=$1000
idsize=1
id0=$ffffc482
ids0=2M25J
//---parameters
p_count=2
p0=165
p1=167
//---flash blocks
fblocks=3
fblock0=$7c
fblock1=$7a
fblock2=$78
//---flash pages
sectors=33
sector0=$e0
sector1=$e1
sector2=$e2
sector3=$e3
sector4=$e4
sector5=$e5
sector6=$e6
sector7=$e7
sector8=$e8
sector9=$e9
sector10=$ea
sector11=$eb
sector12=$ec
sector13=$ed
sector14=$ee
sector15=$ef
sector16=$f0
sector17=$f1
sector18=$f2
sector19=$f3
sector20=$f4
sector21=$f5
sector22=$f6
sector23=$f7
sector24=$f8
sector25=$f9
sector26=$fa
sector27=$fb
sector28=$fc
sector29=$fd
sector30=$fe
sector31=$ff
sector32=$00

[DEVICE121]
etl=0
brand=Porsche
name=7PP.907.064
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=1
id0=$ffffc482
ids0=2M25J
//---parameters
p_count=2
p0=165
p1=167
//---flash blocks
fblocks=2
fblock0=$7c
fblock1=$78
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE122]
etl=0
brand=Porsche
name=7PP.907.064
type=EEPROM
dtype=2
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=1
id0=$ffffc482
ids0=2M25J
//---parameters
p_count=2
p0=165
p1=167
//---flash blocks
fblocks=2
fblock0=$7c
fblock1=$78
//---flash pages
sectors=4
sector0=$fc
sector1=$fd
sector2=$fe
sector3=$ff

//---

[DEVICE123]
etl=0
brand=Porsche
name=7PP.907.064
type=D-FLASH+EEPROM
dtype=3
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=1
id0=$ffffc482
ids0=2M25J
//---parameters
p_count=2
p0=165
p1=167
//---flash blocks
fblocks=2
fblock0=$7c
fblock1=$78
//---flash pages
sectors=37
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80
//---
sector33=$fc
sector34=$fd
sector35=$fe
sector36=$ff


[DEVICE124]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$0014cc94
ids2=5M48J
id3=$ffffcc94
ids3=5M48J
id4=$0000cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=2
p0=136
p1=138
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE125]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$100040
filesize=$100040
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$0014cc94
ids2=5M48J
id3=$ffffcc94
ids3=5M48J
id4=$0000cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=2
p0=136
p1=138

//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=65
sector0=$c0
sector1=$c1
sector2=$c2
sector3=$c3
sector4=$c4
sector5=$c5
sector6=$c6
sector7=$c7
sector8=$c8
sector9=$c9
sector10=$ca
sector11=$cb
sector12=$cc
sector13=$cd
sector14=$ce
sector15=$cf
sector16=$d0
sector17=$d1
sector18=$d2
sector19=$d3
sector20=$d4
sector21=$d5
sector22=$d6
sector23=$d7
sector24=$d8
sector25=$d9
sector26=$da
sector27=$db
sector28=$dc
sector29=$dd
sector30=$de
sector31=$df
sector32=$e0
sector33=$e1
sector34=$e2
sector35=$e3
sector36=$e4
sector37=$e5
sector38=$e6
sector39=$e7
sector40=$e8
sector41=$e9
sector42=$ea
sector43=$eb
sector44=$ec
sector45=$ed
sector46=$ee
sector47=$ef
sector48=$f0
sector49=$f1
sector50=$f2
sector51=$f3
sector52=$f4
sector53=$f5
sector54=$f6
sector55=$f7
sector56=$f8
sector57=$f9
sector58=$fa
sector59=$fb
sector60=$fc
sector61=$fd
sector62=$fe
sector63=$ff
sector64=$00


[DEVICE126]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$100040
filesize=$100040
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$0014cc94
ids2=5M48J
id3=$ffffcc94
ids3=5M48J
id4=$0000cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=3
p0=164
p1=166
p2=7

//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=65
sector0=$c0
sector1=$c1
sector2=$c2
sector3=$c3
sector4=$c4
sector5=$c5
sector6=$c6
sector7=$c7
sector8=$c8
sector9=$c9
sector10=$ca
sector11=$cb
sector12=$cc
sector13=$cd
sector14=$ce
sector15=$cf
sector16=$d0
sector17=$d1
sector18=$d2
sector19=$d3
sector20=$d4
sector21=$d5
sector22=$d6
sector23=$d7
sector24=$d8
sector25=$d9
sector26=$da
sector27=$db
sector28=$dc
sector29=$dd
sector30=$de
sector31=$df
sector32=$e0
sector33=$e1
sector34=$e2
sector35=$e3
sector36=$e4
sector37=$e5
sector38=$e6
sector39=$e7
sector40=$e8
sector41=$e9
sector42=$ea
sector43=$eb
sector44=$ec
sector45=$ed
sector46=$ee
sector47=$ef
sector48=$f0
sector49=$f1
sector50=$f2
sector51=$f3
sector52=$f4
sector53=$f5
sector54=$f6
sector55=$f7
sector56=$f8
sector57=$f9
sector58=$fa
sector59=$fb
sector60=$fc
sector61=$fd
sector62=$fe
sector63=$ff
sector64=$00

[DEVICE127]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$0014cc94
ids2=5M48J
id3=$ffffcc94
ids3=5M48J
id4=$0000cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=3
p0=164
p1=166
p2=0
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE128]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$0014cc94
ids2=5M48J
id3=$ffffcc94
ids3=5M48J
id4=$0000cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=3
p0=164
p1=166
p2=0
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE129]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$100040
filesize=$100040
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$0014cc94
ids2=5M48J
id3=$ffffcc94
ids3=5M48J
id4=$0000cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=3
p0=164
p1=166
p2=7
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=65
sector0=$c0
sector1=$c1
sector2=$c2
sector3=$c3
sector4=$c4
sector5=$c5
sector6=$c6
sector7=$c7
sector8=$c8
sector9=$c9
sector10=$ca
sector11=$cb
sector12=$cc
sector13=$cd
sector14=$ce
sector15=$cf
sector16=$d0
sector17=$d1
sector18=$d2
sector19=$d3
sector20=$d4
sector21=$d5
sector22=$d6
sector23=$d7
sector24=$d8
sector25=$d9
sector26=$da
sector27=$db
sector28=$dc
sector29=$dd
sector30=$de
sector31=$df
sector32=$e0
sector33=$e1
sector34=$e2
sector35=$e3
sector36=$e4
sector37=$e5
sector38=$e6
sector39=$e7
sector40=$e8
sector41=$e9
sector42=$ea
sector43=$eb
sector44=$ec
sector45=$ed
sector46=$ee
sector47=$ef
sector48=$f0
sector49=$f1
sector50=$f2
sector51=$f3
sector52=$f4
sector53=$f5
sector54=$f6
sector55=$f7
sector56=$f8
sector57=$f9
sector58=$fa
sector59=$fb
sector60=$fc
sector61=$fd
sector62=$fe
sector63=$ff
sector64=$00

[DEVICE130]
etl=0
brand=Freescale
name=MC9S12XEP768
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$c0040
filesize=$c0040
bytes=2
ramstart=$1000
idsize=6
id0=$0004cc94
ids0=5M48J
id1=$0000cc94
ids1=5M48J
id2=$ffffcc94
ids2=5M48J
id3=$0005cc94
ids3=5M48J
id4=$0014cc94
ids4=5M48J
id5=$ffffcc92
ids5=5M48J
//---parameters
p_count=2
p0=165
p1=166
//---flash blocks
fblocks=4
fblock0=$74
fblock1=$78
fblock2=$7a
fblock3=$7c
//---flash pages
sectors=49
sector0=$d0
sector1=$d1
sector2=$d2
sector3=$d3
sector4=$d4
sector5=$d5
sector6=$d6
sector7=$d7
sector8=$d8
sector9=$d9
sector10=$da
sector11=$db
sector12=$dc
sector13=$dd
sector14=$de
sector15=$df
sector16=$e0
sector17=$e1
sector18=$e2
sector19=$e3
sector20=$e4
sector21=$e5
sector22=$e6
sector23=$e7
sector24=$e8
sector25=$e9
sector26=$ea
sector27=$eb
sector28=$ec
sector29=$ed
sector30=$ee
sector31=$ef
sector32=$f0
sector33=$f1
sector34=$f2
sector35=$f3
sector36=$f4
sector37=$f5
sector38=$f6
sector39=$f7
sector40=$f8
sector41=$f9
sector42=$fa
sector43=$fb
sector44=$fc
sector45=$fd
sector46=$fe
sector47=$ff
sector48=$00

[DEVICE131]
etl=0
brand=Freescale
name=MC9S12XEP768
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=6
id0=$0004cc94
ids0=5M48J
id1=$0000cc94
ids1=5M48J
id2=$ffffcc94
ids2=5M48J
id3=$0005cc94
ids3=5M48J
id4=$0014cc94
ids4=5M48J
id5=$ffffcc92
ids5=5M48J
//---parameters
p_count=2
p0=165
p1=166
//---flash blocks
fblocks=4
fblock0=$74
fblock1=$78
fblock2=$7a
fblock3=$7c
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE132]
etl=0
brand=Freescale
name=MC9S12XEP768
type=EEPROM
dtype=2
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=6
id0=$0004cc94
ids0=5M48J
id1=$0000cc94
ids1=5M48J
id2=$ffffcc94
ids2=5M48J
id3=$0005cc94
ids3=5M48J
id4=$0014cc94
ids4=5M48J
id5=$ffffcc92
ids5=5M48J
//---parameters
p_count=2
p0=165
p1=166
//---flash blocks
fblocks=4
fblock0=$74
fblock1=$78
fblock2=$7a
fblock3=$7c
//---flash pages
sectors=4
sector0=$fc
sector1=$fd
sector2=$fe
sector3=$ff

[DEVICE133]
etl=0
brand=Freescale
name=MC9S12XEG128
type=D-FLASH
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=4
id0=$0004c081
ids0=2M53J
id1=$ffffc081
ids1=1M53J
id2=$ffffc080
ids2=0M53J
id3=$0000c081
ids3=0M53J
//---parameters
p_count=2
p0=163
p1=166
//---flash blocks
fblocks=2
fblock0=$7e
fblock1=$78
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80


[DEVICE134]
etl=0
brand=Freescale
name=MC9S12XEG128
type=P-FLASH
dtype=1
vcc=500
vpp=0
start=$0
size=$20040
filesize=$20040
bytes=2
ramstart=$1000
idsize=4
id0=$0004c081
ids0=2M53J
id1=$ffffc081
ids1=1M53J
id2=$ffffc080
ids2=0M53J
id3=$0000c081
ids3=0M53J
//---parameters
p_count=2
p0=164
p1=165
//---flash blocks
fblocks=2
fblock0=$7e
fblock1=$78
//---flash pages
sectors=9
sector0=$e0
sector1=$e1
sector2=$e2
sector3=$e3
sector4=$fc
sector5=$fd
sector6=$fe
sector7=$ff
sector8=$00

//---

[DEVICE135]
etl=0
brand=Freescale
name=MC9S12XEG128
type=EEPROM
dtype=2
vcc=500
vpp=0
start=$0
size=$1000
filesize=$1000
bytes=2
ramstart=$1000
idsize=4
id0=$0004c081
ids0=2M53J
id1=$ffffc081
ids1=1M53J
id2=$ffffc080
ids2=0M53J
id3=$0000c081
ids3=0M53J
id4=$0004c482
ids4=3M25J
//---parameters
p_count=2
p0=163
p1=166
//---flash blocks
fblocks=2
fblock0=$7e
fblock1=$78
//---flash pages
sectors=4
sector0=$fc
sector1=$fd
sector2=$fe
sector3=$ff

//---

[DEVICE138]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=D-FLASH V2
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$0014cc94
ids2=5M48J
id3=$ffffcc94
ids3=5M48J
id4=$0000cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=3
p0=165
p1=166
p2=0
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE139]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=P-FLASH V2
dtype=1
vcc=500
vpp=0
start=$0
size=$100040
filesize=$100040
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$0014cc94
ids2=5M48J
id3=$ffffcc94
ids3=5M48J
id4=$0000cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=3
p0=165
p1=166
p2=7

//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=65
sector0=$c0
sector1=$c1
sector2=$c2
sector3=$c3
sector4=$c4
sector5=$c5
sector6=$c6
sector7=$c7
sector8=$c8
sector9=$c9
sector10=$ca
sector11=$cb
sector12=$cc
sector13=$cd
sector14=$ce
sector15=$cf
sector16=$d0
sector17=$d1
sector18=$d2
sector19=$d3
sector20=$d4
sector21=$d5
sector22=$d6
sector23=$d7
sector24=$d8
sector25=$d9
sector26=$da
sector27=$db
sector28=$dc
sector29=$dd
sector30=$de
sector31=$df
sector32=$e0
sector33=$e1
sector34=$e2
sector35=$e3
sector36=$e4
sector37=$e5
sector38=$e6
sector39=$e7
sector40=$e8
sector41=$e9
sector42=$ea
sector43=$eb
sector44=$ec
sector45=$ed
sector46=$ee
sector47=$ef
sector48=$f0
sector49=$f1
sector50=$f2
sector51=$f3
sector52=$f4
sector53=$f5
sector54=$f6
sector55=$f7
sector56=$f8
sector57=$f9
sector58=$fa
sector59=$fb
sector60=$fc
sector61=$fd
sector62=$fe
sector63=$ff
sector64=$00

[DEVICE140]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=D-FLASH V2
dtype=0
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$0014cc94
ids2=5M48J
id3=$ffffcc94
ids3=5M48J
id4=$0000cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=2
p0=137
p1=137
//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=33
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f
sector16=$10
sector17=$11
sector18=$12
sector19=$13
sector20=$14
sector21=$15
sector22=$16
sector23=$17
sector24=$18
sector25=$19
sector26=$1a
sector27=$1b
sector28=$1c
sector29=$1d
sector30=$1e
sector31=$1f
sector32=$80

[DEVICE141]
etl=0
brand=Freescale
name=CAS4(5M48H)
type=P-FLASH V2
dtype=1
vcc=500
vpp=0
start=$0
size=$100040
filesize=$100040
bytes=2
ramstart=$1000
idsize=8
id0=$0004cc94
ids0=5M48J
id1=$0005cc94
ids1=5M48J
id2=$0014cc94
ids2=5M48J
id3=$ffffcc94
ids3=5M48J
id4=$0000cc94
ids4=5M48J
id5=$CAFEcc94
ids5=5M48J
id6=$0005cc95
ids6=1N35H
id7=$ffffcc95
ids7=1N35H
//---parameters
p_count=2
p0=151
p1=153

//---flash blocks
fblocks=5
fblock0=$70
fblock1=$74
fblock2=$78
fblock3=$7a
fblock4=$7c
//---flash pages
sectors=65
sector0=$c0
sector1=$c1
sector2=$c2
sector3=$c3
sector4=$c4
sector5=$c5
sector6=$c6
sector7=$c7
sector8=$c8
sector9=$c9
sector10=$ca
sector11=$cb
sector12=$cc
sector13=$cd
sector14=$ce
sector15=$cf
sector16=$d0
sector17=$d1
sector18=$d2
sector19=$d3
sector20=$d4
sector21=$d5
sector22=$d6
sector23=$d7
sector24=$d8
sector25=$d9
sector26=$da
sector27=$db
sector28=$dc
sector29=$dd
sector30=$de
sector31=$df
sector32=$e0
sector33=$e1
sector34=$e2
sector35=$e3
sector36=$e4
sector37=$e5
sector38=$e6
sector39=$e7
sector40=$e8
sector41=$e9
sector42=$ea
sector43=$eb
sector44=$ec
sector45=$ed
sector46=$ee
sector47=$ef
sector48=$f0
sector49=$f1
sector50=$f2
sector51=$f3
sector52=$f4
sector53=$f5
sector54=$f6
sector55=$f7
sector56=$f8
sector57=$f9
sector58=$fa
sector59=$fb
sector60=$fc
sector61=$fd
sector62=$fe
sector63=$ff
sector64=$00

//===================================================
// 9S12
//---------------------------------------------------

[DEVICE200]
etl=0
brand=Freescale
name=MC9S12C64
type=FLASH
dtype=4
vcc=500
vpp=0
start=$0
size=$10000
filesize=$10000
bytes=2
ramstart=$0800
idsize=2
id0=$3103
ids0=0M66G
id1=$3102
ids1=2L09S
//---flash blocks
fblocks=0
//---flash pages
sectors=4
sector0=$3c
sector1=$3d
sector2=$3e
sector3=$3f

vsectors=64
sector_size=$400

//---------------------------------------------------

[DEVICE201]
etl=0
brand=Freescale
name=MC9S12C128
type=FLASH
dtype=4
vcc=500
vpp=0
start=$0
size=$20000
filesize=$20000
bytes=2
ramstart=$0800
idsize=2
id0=$3103
ids0=0M66G
id1=$3102
ids1=2L09S
//---flash blocks
fblocks=0
//---flash pages
sectors=8
sector0=$38
sector1=$39
sector2=$3a
sector3=$3b
sector4=$3c
sector5=$3d
sector6=$3e
sector7=$3f

vsectors=128
sector_size=$400

//---------------------------------------------------

[DEVICE202]
etl=0
brand=Freescale
name=MC9S12C96
type=FLASH
dtype=4
vcc=500
vpp=0
start=$0
size=$18000
filesize=$18000
bytes=2
ramstart=$0800
idsize=2
id0=$3103
ids0=0M66G
id1=$3102
ids1=2L09S
//---flash blocks
fblocks=0
//---flash pages
sectors=6
sector0=$3a
sector1=$3b
sector2=$3c
sector3=$3d
sector4=$3e
sector5=$3f

vsectors=96
sector_size=$400

//---------------------------------------------------

[DEVICE203]
etl=0
brand=Freescale
name=MC9S12C32
type=FLASH
dtype=4
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$0800
idsize=3
id0=$3103
ids0=0M66G
id1=$3102
ids1=2L09S
id2=$3302
ids2=2L45J
//---flash blocks
fblocks=0
//---flash pages
sectors=2
sector0=$3e
sector1=$3f

vsectors=64
sector_size=$200

//---------------------------------------------------

[DEVICE204]
etl=0
brand=Freescale
name=MC9S12C16
type=FLASH
dtype=4
vcc=500
vpp=0
start=$0
size=$8000
filesize=$8000
bytes=2
ramstart=$0800
idsize=3
id0=$3103
ids0=0M66G
id1=$3102
ids1=2L09S
id2=$3102
ids2=2L45J
//---flash blocks
fblocks=0
//---flash pages
sectors=1
sector0=$3f

vsectors=32
sector_size=$200

//===================================================
// 9S12P
//---------------------------------------------------

[DEVICE300]
etl=0
brand=Freescale
name=MC9S12HY/HA/P64
type=FLASH
dtype=5
vcc=500
vpp=0
start=$30000
size=$10000
filesize=$10000
bytes=2
ramstart=$0800
idsize=4
id0=$00003980
ids0=0M01N
id1=$ffff3980
ids1=0M01N
id2=$00001a80
ids2=0M34S
id3=$ffff1a80
ids3=0M34S
//---flash blocks
fblocks=0
//---memory pages
sectors=16
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f

vsectors=128
sector_size=$200

//---

[DEVICE301]
etl=0
brand=Freescale
name=MC9S12P32/64/96/128
type=D-FLASH
dtype=6
vcc=500
vpp=0
start=$4400
size=$1000
filesize=$1000
bytes=2
ramstart=$0800
idsize=2
id0=$00003980
ids0=0M01N
id1=$ffff3980
ids1=0M01N
//---flash blocks
fblocks=0
//---memory pages
sectors=16
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f

vsectors=16
sector_size=$100

//---

[DEVICE302]
etl=0
brand=Freescale
name=MC9S12HA32/48/64
type=D-FLASH
dtype=6
vcc=500
vpp=0
start=$4400
size=$1000
filesize=$1000
bytes=2
ramstart=$0800
idsize=2
id0=$00001a80
ids0=0M34S
id1=$ffff1a80
ids1=0M34S
//---flash blocks
fblocks=0
//---memory pages
sectors=16
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f

vsectors=16
sector_size=$100

//---

[DEVICE303]
etl=0
brand=Freescale
name=MC9S12HY32/48/64
type=D-FLASH
dtype=6
vcc=500
vpp=0
start=$4400
size=$1000
filesize=$1000
bytes=2
ramstart=$0800
idsize=2
id0=$00001a80
ids0=0M34S
id1=$ffff1a80
ids1=0M34S
//---flash blocks
fblocks=0
//---memory pages
sectors=16
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f

vsectors=16
sector_size=$100

//---

[DEVICE304]
etl=0
brand=Freescale
name=MC9S12HY/HA/P32
type=FLASH
dtype=5
vcc=500
vpp=0
start=$38000
size=$8000
filesize=$8000
bytes=2
ramstart=$0800
idsize=4
id0=$00003980
ids0=0M01N
id1=$ffff3980
ids1=0M01N
id2=$00001a80
ids2=0M34S
id3=$ffff1a80
ids3=0M34S
//---flash blocks
fblocks=0
//---memory pages
sectors=16
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f

vsectors=64
sector_size=$200

//---

[DEVICE305]
etl=0
brand=Freescale
name=MC9S12P96
type=FLASH
dtype=5
vcc=500
vpp=0
start=$28000
size=$18000
filesize=$18000
bytes=2
ramstart=$0800
idsize=2
id0=$00003980
ids0=0M01N
id1=$ffff3980
ids1=0M01N
//---flash blocks
fblocks=0
//---memory pages
sectors=16
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f

vsectors=192
sector_size=$200

//---

[DEVICE306]
etl=0
brand=Freescale
name=MC9S12P128
type=FLASH
dtype=5
vcc=500
vpp=0
start=$20000
size=$20000
filesize=$20000
bytes=2
ramstart=$0800
idsize=2
id0=$00003980
ids0=0M01N
id1=$ffff3980
ids1=0M01N
//---flash blocks
fblocks=0
//---memory pages
sectors=16
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f

vsectors=256
sector_size=$200

//---

[DEVICE307]
etl=0
brand=Freescale
name=MC9S12HY/HA48
type=FLASH
dtype=5
vcc=500
vpp=0
start=$34000
size=$c000
filesize=$c000
bytes=2
ramstart=$0800
idsize=3
id0=$00001a80
ids0=0M34S
id1=$ffff1a80
ids1=0M34S
id2=$00003980
ids2=0M01N
//---flash blocks
fblocks=0
//---memory pages
sectors=16
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07
sector8=$08
sector9=$09
sector10=$0a
sector11=$0b
sector12=$0c
sector13=$0d
sector14=$0e
sector15=$0f

vsectors=96
sector_size=$200

//---

[DEVICE320]
etl=0
brand=Freescale
name=MC9S12XS64
type=D-FLASH
dtype=7
vcc=500
vpp=0
start=$0000
start_offset=$100000 
size=$1000
filesize=$1000
bytes=2
ramstart=$2000
idsize=2
id0=$c1c0
ids0=0M04M
id1=$c1c1
ids1=1M04M
//---flash blocks
fblocks=0
//---memory pages
sectors=4
sector0=$00
sector1=$01
sector2=$02
sector3=$03

vsectors=16
sector_size=$100

//---

[DEVICE321]
etl=0
brand=Freescale
name=MC9S12XS64
type=P-FLASH
dtype=5
vcc=500
vpp=0
start=$0000
start_offset=$7f0000 
size=$10000
filesize=$10000
bytes=2
ramstart=$2000
idsize=2
id0=$c1c0
ids0=0M04M
id1=$c1c1
ids1=1M04M
//---flash blocks
fblocks=0
//---memory pages
sectors=4
sector0=$fc
sector1=$fd
sector2=$fe
sector3=$ff

vsectors=64
sector_size=$400

[DEVICE322]
etl=0
brand=Freescale
name=MC9S12XS128
type=D-FLASH
dtype=7
vcc=500
vpp=0
start=$0000
start_offset=$100000 
size=$2000
filesize=$2000
bytes=2
ramstart=$2000
idsize=2
id0=$c1c0
ids0=0M04M
id1=$c1c1
ids1=1M04M
//---parameters
p_count=2
p0=121
p1=123
//p0=144
//p1=146
//---flash blocks
fblocks=0
//---memory pages
sectors=8
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07

vsectors=32
sector_size=$100

//---

[DEVICE323]
etl=0
brand=Freescale
name=MC9S12XS128
type=P-FLASH
dtype=5
vcc=500
vpp=0
start=$0000
start_offset=$7e0000 
size=$20000
filesize=$20000
bytes=2
ramstart=$2000
idsize=2
id0=$c1c0
ids0=0M04M
id1=$c1c1
ids1=1M04M
//---parameters
p_count=2
p0=121
p1=133
//---flash blocks
fblocks=0
//---memory pages
sectors=8
sector0=$f8
sector1=$f9
sector2=$fa
sector3=$fb
sector4=$fc
sector5=$fd
sector6=$fe
sector7=$ff

vsectors=128
sector_size=$400

[DEVICE324]
etl=0
brand=Freescale
name=MC9S12XS256
type=D-FLASH
dtype=7
vcc=500
vpp=0
start=$0000
start_offset=$100000 
size=$2000
filesize=$2000
bytes=2
ramstart=$2000
idsize=1
id0=$c0c0
ids0=0M05M
//---flash blocks
fblocks=0
//---memory pages
sectors=8
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07

vsectors=32
sector_size=$100

//---

[DEVICE325]
etl=0
brand=Freescale
name=MC9S12XS256
type=FLASH
dtype=5
vcc=500
vpp=0
start=$0000
start_offset=$7c0000 
size=$40000
filesize=$40000
bytes=2
ramstart=$2000
idsize=1
id0=$c0c0
ids0=0M05M
//---flash blocks
fblocks=0
//---memory pages
sectors=16
sector0=$f0
sector1=$f1
sector2=$f2
sector3=$f3
sector4=$f4
sector5=$f5
sector6=$f6
sector7=$f7
sector8=$f8
sector9=$f9
sector10=$fa
sector11=$fb
sector12=$fc
sector13=$fd
sector14=$fe
sector15=$ff

vsectors=256
sector_size=$400

//---

[DEVICE400]
etl=0
brand=Freescale
name=MC9S12XHY256
type=D-FLASH
dtype=7
vcc=500
vpp=0
start=$0000
start_offset=$100000 
size=$2000
filesize=$2000
bytes=2
ramstart=$2000
idsize=1
id0=$e010
ids0=0M23Y
//---flash blocks
fblocks=0
//---memory pages
sectors=8
sector0=$00
sector1=$01
sector2=$02
sector3=$03
sector4=$04
sector5=$05
sector6=$06
sector7=$07

vsectors=32
sector_size=$100

//---

[DEVICE401]
etl=0
brand=Freescale
name=MC9S12XHY256
type=FLASH
dtype=5
vcc=500
vpp=0
start=$0000
start_offset=$7c0000 
size=$40000
filesize=$40000
bytes=2
ramstart=$2000
idsize=1
id0=$e010
ids0=0M23Y
//---flash blocks
fblocks=0
//---memory pages
sectors=16
sector0=$f0
sector1=$f1
sector2=$f2
sector3=$f3
sector4=$f4
sector5=$f5
sector6=$f6
sector7=$f7
sector8=$f8
sector9=$f9
sector10=$fa
sector11=$fb
sector12=$fc
sector13=$fd
sector14=$fe
sector15=$ff

vsectors=256
sector_size=$400
FID:4683733C3FB9066C
